Skip to content

List and search groups

Request to list groups:

GET /api/v2/groups.json

Example of response:

{
    "groups": [{
        "group_id": "546340bf-8b47-21e4-95a4-e03f497dbd55",
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Sales Department",
        "timezone": null
    },{
        "group_id": "e011c408-f288-11e4-9b73-e03f497dbdff",
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Supervisors",
        "timezone": "Europe/London"
    }],
    "total": 2,
    "next_url": null
}

See Collections for paging.

Search groups

Parameter Description
search_term

Search by group name, and by tenant name in multi-tenant deployments. Partial match, case insensitive.

GET /api/v2/groups.json?search_term=supervisors
tenant_id

Filter by tenant ID.

GET /api/v2/groups.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff

Example with several parameters:

GET /api/v2/groups.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff&search_term=supervisors

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of groups is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view groups
404 Not Found The tenant_id parameter is not a valid UUID